## org.eclipse.datatools.modelbase.sql.query
Interface SearchConditionCombined

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

    public interface SearchConditionCombined

extends QuerySearchCondition

A representation of the model object 'SQL Search Condition Combined'.

The following features are supported:

- `Combined Operator`
- `Left Condition`
- `Right Condition`

See Also:
  `SQLQueryModelPackage.getSearchConditionCombined()`

Method Summary
`SearchConditionCombinedOperator` `getCombinedOperator()` Returns the value of the 'Combined Operator' attribute.
`QuerySearchCondition` `getLeftCondition()` Returns the value of the 'Left Condition' containment reference.
`QuerySearchCondition` `getRightCondition()` Returns the value of the 'Right Condition' containment reference.
`void` `setCombinedOperator(SearchConditionCombinedOperator value)` Sets the value of the '`Combined Operator`' attribute.
`void` `setLeftCondition(QuerySearchCondition value)` Sets the value of the '`Left Condition`' containment reference.
`void` `setRightCondition(QuerySearchCondition value)` Sets the value of the '`Right Condition`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition

`getCombinedLeft, getCombinedRight, getDeleteStatement, getMergeOnCondition, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setMergeOnCondition, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getCombinedOperator

    SearchConditionCombinedOperator getCombinedOperator()

  Returns the value of the 'Combined Operator' attribute. The literals are from the enumeration `SearchConditionCombinedOperator`.

  If the meaning of the 'Combined Operator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Combined Operator' attribute.
  See Also:
    `SearchConditionCombinedOperator`, `setCombinedOperator(SearchConditionCombinedOperator)`, `SQLQueryModelPackage.getSearchConditionCombined_CombinedOperator()`

### setCombinedOperator

    void setCombinedOperator(SearchConditionCombinedOperator value)

  Sets the value of the '`Combined Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Combined Operator' attribute.
  See Also:
    `SearchConditionCombinedOperator`, `getCombinedOperator()`

### getLeftCondition

    QuerySearchCondition getLeftCondition()

  Returns the value of the 'Left Condition' containment reference. It is bidirectional and its opposite is '`Combined Left`'.

  If the meaning of the 'Left Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Condition' containment reference.
  See Also:
    `setLeftCondition(QuerySearchCondition)`, `SQLQueryModelPackage.getSearchConditionCombined_LeftCondition()`, `QuerySearchCondition.getCombinedLeft()`

### setLeftCondition

    void setLeftCondition(QuerySearchCondition value)

  Sets the value of the '`Left Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Left Condition' containment reference.
  See Also:
    `getLeftCondition()`

### getRightCondition

    QuerySearchCondition getRightCondition()

  Returns the value of the 'Right Condition' containment reference. It is bidirectional and its opposite is '`Combined Right`'.

  If the meaning of the 'Right Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Condition' containment reference.
  See Also:
    `setRightCondition(QuerySearchCondition)`, `SQLQueryModelPackage.getSearchConditionCombined_RightCondition()`, `QuerySearchCondition.getCombinedRight()`

### setRightCondition

    void setRightCondition(QuerySearchCondition value)

  Sets the value of the '`Right Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Right Condition' containment reference.
  See Also:
    `getRightCondition()`